///////////////////////////////////////////////////////////////////////
//                               41 Post                             //
// Created by DimasTheDriver in Mar/2/2011                           //
// Part of 'Creating a GUI with both 3D and 2D elements' post.       //
// Available at:      http://www.41post.com/?p=3255                  //
///////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class Item : MonoBehaviour 
{
	//get this item's Transform
	private Transform itemTransform;
	//a variable to store the number of collected items
	public static int numberOfItems=0;
	
	// Use this for initialization
	void Awake () 
	{
		//get the this item's Transform
		itemTransform = GetComponent<Transform>();
		//reset the number of collected items to zero
		numberOfItems = 0;
	}
	
	void OnTriggerEnter(Collider col)
	{
		//If the player touches this object
		if(col.tag == "Player")
		{
			//increase the number of collected items
			++numberOfItems;
			//destroy this game object
			Destroy(gameObject);
		}
	}
	
	// Update is called once per frame
	void Update () 
	{
		//rotate this game object
		itemTransform.Rotate(Vector3.up * 3,Space.World);
	}
}
